.portfolio__filter-style-button {
    position: relative;
    margin-bottom: 40px
}

.portfolio__filter-style-button .filter-buttons-wrap {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    gap: 20px
}

.portfolio__filter-style-button .filter-buttons-wrap.left {
    -ms-flex-pack: start;
    justify-content: flex-start
}

.portfolio__filter-style-button .filter-buttons-wrap.center {
    -ms-flex-pack: center;
    justify-content: center
}

.portfolio__filter-style-button .filter-buttons-wrap.right {
    -ms-flex-pack: end;
    justify-content: flex-end
}

.portfolio__filter-style-button .filter-buttons-wrap.full .filter-button {
    max-width: 100%;
    width: 100%
}

@media screen and (max-width: 580px) {
    .portfolio__filter-style-button .filter-buttons-wrap {
        -ms-flex-pack: justify;
        justify-content: space-between
    }
}

.portfolio__filter-style-button .filter-button svg,
.portfolio__filter-style-button .filter-button i {
    margin-right: 10px
}

.portfolio__filter-style-button .filter-button.reset {
    visibility: hidden;
    opacity: 0;
    transition: all .25s ease-in-out;
    position: absolute
}

.portfolio__filter-style-button .filter-button.reset.show {
    visibility: visible;
    opacity: 1;
    position: relative
}

@media screen and (max-width: 580px) {
    .portfolio__filter-style-button .filter-button {
        max-width: 100%
    }
}

.portfolio__filter-style-button .portfolio-filter-area {
    visibility: hidden;
    opacity: 0;
    padding: 40px;
    margin-top: 11px;
    background: #fff;
    position: absolute;
    width: 100%;
    border-radius: 3px;
    z-index: 100;
    transition: all .25s ease-in-out;
    box-shadow: rgba(0, 0, 0, .15) 0px 15px 25px, rgba(0, 0, 0, .05) 0px 5px 10px
}

.portfolio__filter-style-button .portfolio-filter-area.active {
    visibility: visible;
    opacity: 1
}

.portfolio__filter-style-button .portfolio-filter-area.active .has-arrow {
    position: absolute;
    left: 0;
    top: -10px;
    width: 0;
    height: 0;
    border-left: 10px solid rgba(0, 0, 0, 0);
    border-right: 10px solid rgba(0, 0, 0, 0);
    border-bottom: 10px solid #fff
}

.filter--form-wrap .filter-fields.type-change {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-pack: justify;
    justify-content: space-between;
    gap: 2.5em;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap
}

.filter--form-wrap .filter-fields.type-change select {
    width: calc(50% - 2.5em)
}

@media screen and (max-width: 959px) {
    .filter--form-wrap .filter-fields.type-change {
        gap: 1.5em
    }

    .filter--form-wrap .filter-fields.type-change select {
        width: calc(50% - 1.5em)
    }
}

@media screen and (max-width: 580px) {
    .filter--form-wrap .filter-fields.type-change {
        -ms-flex-direction: column;
        flex-direction: column;
        gap: 1.5em
    }

    .filter--form-wrap .filter-fields.type-change select {
        width: 100%
    }
}

.filter--form-wrap .filter-fields select,
.filter--form-wrap .filter-fields input[type=text] {
    display: inline-block;
    min-height: 32px;
    width: 100%;
    font-size: 14px;
    line-height: 1.8;
    padding: 0 12px;
    vertical-align: middle;
    background-color: rgba(0, 0, 0, 0);
    color: #333;
    border: 1px solid #ddd;
    border-radius: 1px;
    transition: all .3s ease
}

.filter--form-wrap .filter-fields select::after {
    content: "▼";
    font-size: 1rem;
    top: 6px;
    right: 10px;
    position: absolute
}

.filter--form-wrap .filter-fields .label-portfolio-search {
    display: block;
    width: 50%;
    margin: 0 auto
}

@media screen and (max-width: 580px) {
    .filter--form-wrap .filter-fields .label-portfolio-search {
        width: 100%
    }
}

.filter--form-wrap .filter-divider {
    margin: 40px 0;
    text-align: center;
    color: #a3a3a3
}

.filter--form-wrap .filter-divider .divider {
    position: relative
}

.filter--form-wrap .filter-divider .divider::before,
.filter--form-wrap .filter-divider .divider::after {
    content: "";
    display: block;
    border-top: 1px solid #a3a3a3;
    width: 40px;
    position: absolute;
    top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%)
}

.filter--form-wrap .filter-divider .divider::before {
    left: -50px
}

.filter--form-wrap .filter-divider .divider::after {
    right: -50px
}

.filter--form-wrap .filter-action {
    margin-top: 30px;
    text-align: center
}

.filter--form-wrap .filter-action .reset-button {
    margin-left: 20px
}

.portfolio-entries {
    margin: 0 -10px
}

.portfolio-entries .portfolio-filters {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-pack: center;
    justify-content: center;
    list-style: none;
    padding: 0;
    margin: 0 0 24px
}

.portfolio-entries .portfolio-filters.filter-pos-left {
    -ms-flex-pack: start;
    justify-content: flex-start
}

.portfolio-entries .portfolio-filters.filter-pos-right {
    -ms-flex-pack: end;
    justify-content: flex-end
}

.portfolio-entries .portfolio-filters.filter-pos-full li {
    -webkit-flex-grow: 1;
    -ms-flex-positive: 1;
    flex-grow: 1
}

.portfolio-entries .portfolio-filters li {
    margin: 0 3px;
    text-align: center
}

.portfolio-entries .portfolio-filters li:first-child {
    margin-left: 0 !important
}

.portfolio-entries .portfolio-filters li:last-child {
    margin-right: 0 !important
}

.portfolio-entries .portfolio-filters li a {
    display: inline-block;
    width: 100%;
    padding: 3px 10px;
    background-color: #f6f6f6;
    color: #444;
    font-size: 13px;
    line-height: 1.5;
    letter-spacing: .3px;
    text-transform: uppercase
}

.portfolio-entries .portfolio-filters li.active a,
.portfolio-entries .portfolio-filters li a:hover {
    background-color: #13aff0;
    color: #fff
}

.portfolio-entries .column-1 {
    width: 100%
}

.portfolio-entries .column-2 {
    width: 50%
}

.portfolio-entries .column-3 {
    width: 33.33%
}

.portfolio-entries .column-4 {
    width: 25%
}

.portfolio-entries .column-5 {
    width: 20%
}

.portfolio-entries .column-6 {
    width: 16.66666667%
}

.portfolio-entries .column-7 {
    width: 14.28%
}

.portfolio-entries .column-8 {
    width: 12.5%
}

.portfolio-entries .column-9 {
    width: 11.11%
}

.portfolio-entries .column-10 {
    width: 10%
}

.portfolio-entries .portfolio-wrap {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap
}

.portfolio-entries .portfolio-entry {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: row;
    flex-direction: row;
    float: none;
    padding: 10px;
    margin: 0
}

.portfolio-entries .portfolio-entry-inner {
    width: 100%
}

.portfolio-entries .portfolio-entry-thumbnail {
    position: relative;
    height: 260px;
    overflow: hidden;
}

.portfolio-entries .portfolio-entry-thumbnail img {
    width: 100%
}

.portfolio-entries .portfolio-entry-thumbnail .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .4);
    opacity: 0;
    text-align: center;
    z-index: 1;
    transition: opacity .3s ease-in-out
}

.portfolio-entries .portfolio-entry-thumbnail:hover .overlay {
    opacity: 1
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-overlay-content,
.portfolio-entries .portfolio-entry-thumbnail .portfolio-overlay-icons li a {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex-pack: center;
    justify-content: center;
    text-align: center
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-overlay-content {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-overlay-icons {
    list-style: none;
    padding: 0;
    margin: 0
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-overlay-icons li {
    display: inline-block;
    padding: 0 4px
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-overlay-icons li a {
    position: relative;
    width: 45px;
    height: 45px;
    line-height: 1;
    font-size: 16px;
    background-color: rgba(255, 255, 255, .2);
    color: #fff;
    border: 1px solid rgba(255, 255, 255, .4);
    border-radius: 50%;
    z-index: 99
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-overlay-icons li a:hover {
    background-color: rgba(255, 255, 255, .4)
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-overlay-icons li .owp-icon {
    margin: 0 auto
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-overlay-icons li .owp-icon use {
    stroke: #fff
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-inside-content,
.portfolio-entries .portfolio-entry-thumbnail .portfolio-overlay-icons li a {
    opacity: 0;
    -ms-transform: scale(0);
    transform: scale(0)
}

.portfolio-entries .portfolio-entry-thumbnail:hover .portfolio-inside-content,
.portfolio-entries .portfolio-entry-thumbnail:hover .portfolio-overlay-icons li a {
    opacity: 1;
    -ms-transform: scale(1);
    transform: scale(1)
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-inside-content {
    position: relative;
    z-index: 99;
    transition: all .3s ease;
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -o-transition: all .3s ease;
    -ms-transition: all .3s ease
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-inside-content.has-icons {
    margin-top: 15px
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-inside-content .portfolio-entry-title a {
    color: #fff
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-inside-content .portfolio-entry-title a:hover {
    color: #ddd
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-inside-content .categories,
.portfolio-entries .portfolio-entry-thumbnail .portfolio-inside-content .categories a {
    color: #ddd
}

.portfolio-entries .portfolio-entry-thumbnail .portfolio-inside-content .categories:hover,
.portfolio-entries .portfolio-entry-thumbnail .portfolio-inside-content .categories a:hover {
    color: #fff
}

.portfolio-entries .portfolio-entry-thumbnail .triangle-wrap {
    position: absolute;
    bottom: 0;
    left: 15%;
    width: 0;
    height: 0;
    border-style: solid;
    border-color: rgba(0, 0, 0, 0);
    border-bottom-width: 6px;
    border-bottom-color: #f9f9f9;
    border-right-width: 6px;
    border-left-width: 6px;
    z-index: 100
}

.portfolio-entries .portfolio-entry-thumbnail.has-placeholder {
    background-color: #f3f3f3;
    color: #ccc;
    text-align: center;
    padding: 20px
}

.portfolio-entries .portfolio-content {
    display: block;
    background-color: #f9f9f9;
    padding: 50px
}

.portfolio-entries .portfolio-entry-title {
    color: #fff;
    font-size: 16px;
    margin: 0;
    cursor: pointer
}

.portfolio-entries .categories {
    font-size: 13px;
    line-height: 1.3;
    color: #000
}

.portfolio-entries .categories a {
    color: #a7a7a7
}

.portfolio-entries .categories a:hover {
    color: #333
}

.portfolio-entries .has-title .categories {
    margin-top: 5px;
    height: 130px
}

.portfolio-entries .oceanwp-pagination {
    display: inline-block;
    width: 100%;
    margin-top: 20px
}

.portfolio-entries .oceanwp-pagination ul.page-numbers {
    padding: 0
}

.portfolio-entries .oceanwp-pagination.oceanwp-center ul.page-numbers,
.portfolio-entries .oceanwp-pagination.oceanwp-center .page-links {
    text-align: center
}

.portfolio-entries .oceanwp-pagination.oceanwp-left ul.page-numbers,
.portfolio-entries .oceanwp-pagination.oceanwp-left .page-links {
    text-align: left
}

.ocean_portfolio .related-portfolio-title {
    margin: 12px 0 0
}

ul.opms-default li::after {
    content: "-"
}

ul.opms-modern li::after {
    content: "|"
}

ul.opms-classic li::after {
    content: "/"
}

ul.opms-stylish li::after {
    content: "//"
}

ul.opms-none li::after {
    content: "";
    margin: 0 5px
}

body .pswp {
    z-index: 999999
}

.portfolio-entries.custom-col .col.first {
    clear: none
}
  .none{display:inline;float:left}
   .height{position: absolute; left: 0px; top: 0px; height:619px;}
   .height2{position: absolute; left: 0px; top: 0px; height:619px;}
   .portfolio-entries .portfolio-entry-title2{font-size:28px;text-align:center; margin-top:40px}
   .portfolio-entries .portfolio-entry-title3{font-size:20px;text-align:center;margin:70px auto}
      .portfolio-entries .portfolio-entry-title4{font-size:20px;text-align:center;margin:85px auto}
   
.portfolio-entries.archives-col-1 .portfolio-entry,
.portfolio-entries.archives-col-2 .portfolio-entry:nth-child(2n+1),
.portfolio-entries.archives-col-3 .portfolio-entry:nth-child(3n+1),
.portfolio-entries.archives-col-4 .portfolio-entry:nth-child(4n+1),
.portfolio-entries.archives-col-5 .portfolio-entry:nth-child(5n+1),
.portfolio-entries.archives-col-6 .portfolio-entry:nth-child(6n+1),
.portfolio-entries.archives-col-7 .portfolio-entry:nth-child(7n+1),
.portfolio-entries.archives-col-8 .portfolio-entry:nth-child(8n+1),
.portfolio-entries.archives-col-9 .portfolio-entry:nth-child(9n+1),
.portfolio-entries.archives-col-10 .portfolio-entry:nth-child(10n+1) {
    clear: both
}

@media only screen and (min-width: 768px)and (max-width: 1024px) {

    .portfolio-entries.tablet-col .col.first,
    .portfolio-entries.tablet-col .col {
        clear: none
    }

    .portfolio-entries.tablet-1-col .portfolio-entry,
    .portfolio-entries.tablet-2-col .portfolio-entry:nth-child(2n+1),
    .portfolio-entries.tablet-3-col .portfolio-entry:nth-child(3n+1),
    .portfolio-entries.tablet-4-col .portfolio-entry:nth-child(4n+1),
    .portfolio-entries.tablet-5-col .portfolio-entry:nth-child(5n+1),
    .portfolio-entries.tablet-6-col .portfolio-entry:nth-child(6n+1),
    .portfolio-entries.tablet-7-col .portfolio-entry:nth-child(7n+1),
    .portfolio-entries.tablet-8-col .portfolio-entry:nth-child(8n+1),
    .portfolio-entries.tablet-9-col .portfolio-entry:nth-child(9n+1),
    .portfolio-entries.tablet-10-col .portfolio-entry:nth-child(10n+1) {
        clear: both
    }

    .portfolio-entries.tablet-1-col .portfolio-entry {
        width: 100% !important
    }

    .portfolio-entries.tablet-2-col .portfolio-entry {
        width: 50% !important
    }

    .portfolio-entries.tablet-3-col .portfolio-entry {
        width: 33.3333333333% !important
    }

    .portfolio-entries.tablet-4-col .portfolio-entry {
        width: 25% !important
    }

    .portfolio-entries.tablet-5-col .portfolio-entry {
        width: 20% !important
    }

    .portfolio-entries.tablet-6-col .portfolio-entry {
        width: 16.6666666667% !important
    }

    .portfolio-entries.tablet-7-col .portfolio-entry {
        width: 14.28% !important;
        width: 14.2857142857% !important
    }

    .portfolio-entries.tablet-8-col .portfolio-entry {
        width: 12.5% !important
    }

    .portfolio-entries.tablet-9-col .portfolio-entry {
        width: 14.28% !important;
        width: 11.1111111111% !important
    }

    .portfolio-entries.tablet-10-col .portfolio-entry {
        width: 10% !important
    }
}

@media only screen and (max-width: 767px) {

    .portfolio-entries.mobile-col .col.first,
    .portfolio-entries.mobile-col .col {
        clear: none
    }

    .portfolio-entries.mobile-1-col .portfolio-entry,
    .portfolio-entries.mobile-2-col .portfolio-entry:nth-child(2n+1),
    .portfolio-entries.mobile-3-col .portfolio-entry:nth-child(3n+1),
    .portfolio-entries.mobile-4-col .portfolio-entry:nth-child(4n+1),
    .portfolio-entries.mobile-5-col .portfolio-entry:nth-child(5n+1),
    .portfolio-entries.mobile-6-col .portfolio-entry:nth-child(6n+1),
    .portfolio-entries.mobile-7-col .portfolio-entry:nth-child(7n+1),
    .portfolio-entries.mobile-8-col .portfolio-entry:nth-child(8n+1),
    .portfolio-entries.mobile-9-col .portfolio-entry:nth-child(9n+1),
    .portfolio-entries.mobile-10-col .portfolio-entry:nth-child(10n+1) {
        clear: both
    }
      .none{display:block}
     .height{position: absolute; left: 0px; top: 0px; height:619px;}
     .height2{position: absolute; left: 0px; top: 0px; height:619px;}
    .portfolio-entries .portfolio-entry-title2{font-size:20px;text-align:center}
     .portfolio-entries .portfolio-entry-title3{font-size:16px;text-align:center;margin:50px auto}
          .portfolio-entries .portfolio-entry-title4{font-size:16px;text-align:center;margin:90px auto}
    .portfolio-entries.mobile-1-col .portfolio-entry {
        width: 100% !important
    }
    
    .portfolio-entries .portfolio-content {
    display: block;
    background-color: #f9f9f9;
    padding: 20px !important;}


#site-logo #site-logo-inner a img, #site-header.center-header #site-navigation-wrap .middle-site-logo a img {
    max-width: 240px!important;
}

    .portfolio-entries.mobile-2-col .portfolio-entry {
        width: 50% !important
    }

    .portfolio-entries.mobile-3-col .portfolio-entry {
        width: 33.3333333333% !important
    }

    .portfolio-entries.mobile-4-col .portfolio-entry {
        width: 25% !important
    }

    .portfolio-entries.mobile-5-col .portfolio-entry {
        width: 20% !important
    }

    .portfolio-entries.mobile-6-col .portfolio-entry {
        width: 16.6666666667% !important
    }

    .portfolio-entries.mobile-7-col .portfolio-entry {
        width: 14.28% !important;
        width: 14.2857142857% !important
    }

    .portfolio-entries.mobile-8-col .portfolio-entry {
        width: 12.5% !important
    }

    .portfolio-entries.mobile-9-col .portfolio-entry {
        width: 14.28% !important;
        width: 11.1111111111% !important
    }

    .portfolio-entries.mobile-10-col .portfolio-entry {
        width: 10% !important
    }
}

body.rtl .portfolio-entries .portfolio-filters.filter-pos-left {
    -ms-flex-pack: end;
    justify-content: flex-end
}

body.rtl .portfolio-entries .portfolio-filters.filter-pos-right {
    -ms-flex-pack: start;
    justify-content: flex-start
}

body.rtl .portfolio-entries .portfolio-entry-thumbnail .overlay {
    right: 0;
    left: auto
}

body.rtl .portfolio-entries .portfolio-entry-thumbnail .triangle-wrap {
    right: 15%;
    left: auto
}

.op-has-animation .portfolio-entry-thumbnail {
    overflow: hidden
}

.op-has-animation .portfolio-entry-thumbnail:hover img {
    animation: move 10s ease
}

@keyframes move {
    0% {
        transform-origin: bottom left;
        transform: scale(1)
    }

    100% {
        transform: scale(1.3)
    }
}